Subject: Re: [PATCH 0/10] Replace _PAGE_NUMA with PAGE_NONE protections v2

From: Mel Gorman <[email-masked]>
Date: Fri, 21 Nov 2014 09:31:41 +0000

On Thu, Nov 20, 2014 at 04:50:25PM -0500, Sasha Levin wrote:
> On 11/20/2014 05:19 AM, Mel Gorman wrote:
> > V1 failed while running under kvm-tools very quickly and a second report
> > indicated that it happens on bare metal as well. This version survived
> > an overnight run of trinity running under kvm-tools here but verification
> > from Sasha would be appreciated.
> 
> Hi Mel,
> 
> I tried giving it a spin, but it won't apply at all on the latest -mm
> tree:
> 
> $ git am -3 numa/*
> Applying: mm: numa: Do not dereference pmd outside of the lock during NUMA hinting fault
> Applying: mm: Add p[te|md] protnone helpers for use by NUMA balancing
> Applying: mm: Convert p[te|md]_numa users to p[te|md]_protnone_numa
> fatal: sha1 information is lacking or useless (mm/huge_memory.c).
> Repository lacks necessary blobs to fall back on 3-way merge.
> Cannot fall back to three-way merge.
> 
> Did I miss a prerequisite?
> 

No. V2 was still against 3.18-rc4 as that was what I had vanilla kernel
test data for. V3 will be against latest mmotm.

-- 
Mel Gorman
SUSE Labs